import 'package:flutter/material.dart';
import 'activity_type_filter.dart';

class ActivitiesHeader extends StatefulWidget {
  const ActivitiesHeader({super.key});

  @override
  State<ActivitiesHeader> createState() => ActivitiesHeaderState();
}

class ActivitiesHeaderState extends State<ActivitiesHeader> {
  @override
  void initState() {
    super.initState();
  }

  @override
  void dispose() {
    super.dispose();
  }

  @override
  Widget build(BuildContext context) {
    return const Padding(
        padding: EdgeInsets.only(bottom: 10),
        child: Row(
            mainAxisSize: MainAxisSize.max,
            mainAxisAlignment: MainAxisAlignment.spaceBetween,
            children: <Widget>[
              Padding(
                  padding: EdgeInsets.fromLTRB(10, 0, 10, 0),
                  child: Text(
                      style:
                          TextStyle(fontSize: 25, fontWeight: FontWeight.bold),
                      'Filters:')),
              Padding(
                  padding: EdgeInsets.only(right: 5),
                  child: ActivityTypeFilter()),
            ]));
  }
}
